> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usenumero.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Top Up Card

> Move USD from your card wallet onto a card.

Fund a card from your USD card wallet. The wallet is debited first; the card's `balance` reflects the top-up on success.

> Card endpoints use the same base URL and API key as the rest of the API, and are signature-gated:
> send `X-Numero-Signature` and `X-Numero-Signature-Version: v2` as well. See [Request signing](/03-request-signing).

## Endpoint

```
POST /api/v1/business/card/{reference}/topup
```

**Signature required:** Yes

## Headers

| Header                       | Required | Description                                                                                                                                                                    |
| ---------------------------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `X-Numero-Api-Key`           | Yes      | Your API key                                                                                                                                                                   |
| `X-Numero-Signature`         | Yes      | Base64 HMAC-SHA256 over the exact raw request body (POST) or the canonicalised query string (GET), keyed with your **Public Key**. See [Request signing](/03-request-signing). |
| `X-Numero-Signature-Version` | Yes      | Always `v2`.                                                                                                                                                                   |

## Path parameters

| Parameter   | Type   | Required | Description        |
| ----------- | ------ | -------- | ------------------ |
| `reference` | string | Yes      | The card reference |

## Request body

| Field    | Type   | Required | Description |
| -------- | ------ | -------- | ----------- |
| `amount` | number | Yes      | USD amount  |

## Request example

```bash theme={null}
curl -X POST "https://api.usenumero.com/numeroaccount/api/v1/business/card/NCRD24AD18BEBD474A/topup" \
  -H "X-Numero-Api-Key: your_api_key" \
  -H "X-Numero-Signature: $SIGNATURE" \
  -H "X-Numero-Signature-Version: v2" \
  -H "Content-Type: application/json" \
  -d '{ "amount": 10 }'
```

## Response

```json theme={null}
{
  "data": {
    "cardReference": "NCRD24AD18BEBD474A",
    "customerId": "NCUS9953596C2B7F45",
    "label": "Ads spend",
    "brand": "Visa",
    "firstSix": "428852",
    "lastFour": "6353",
    "expiryMonth": "06",
    "expiryYear": "2029",
    "currency": "USD",
    "balance": 25.0,
    "status": "Active",
    "isPhysical": false,
    "dailyLimit": 5000,
    "perTransactionLimit": 1000,
    "issuedAt": "2026-06-16T12:00:00Z",
    "capabilities": [
      "USD",
      "APPLE_PAY",
      "GOOGLE_PAY"
    ]
  },
  "error": null,
  "meta": {
    "request_id": "req_365123ebc73323f1482508560ce6400e",
    "pagination": null
  }
}
```
